Hi,
When entering a text flied can i get it in 2 rows?
rs.AddText(“Holes Inspec”, plane, height=.107, font=None, font_style=0, justification=None)
Hi,
When entering a text flied can i get it in 2 rows?
rs.AddText(“Holes Inspec”, plane, height=.107, font=None, font_style=0, justification=None)
import rhinoscriptsyntax as rs
textlocation = rs.GetPoint(“Please specify the text location”)
inputstr = “Holes\nInspec”
rs.AddText(inputstr, textlocation, height=107, font=None,
font_style=0, justification=None)
Below is the full code i was use for that.
plane = rs.WorldXYPlane()
plane = rs.MovePlane(plane, [-10.082, -4.119, 0])
rs.AddText(“Holes Inspec”, plane, height=.107, font=None, font_style=0, justification=None)
it still worked thanks
Ok.The key point is that “\n”.In python,the escape character is very useful.
is there somewhere i can go for tip & tricks for python?
I have a book that about how to learn python,its author is Eric Matthes.Maybe,it also will help you.
Thanks i will look it up
My pleasure